## ide-terminal-search ide-terminal-search |

## Functions

VteRegex * | ide_terminal_search_get_regex ()
gboolean | ide_terminal_search_get_wrap_around ()
void | ide_terminal_search_set_terminal ()
GtkRevealer * | ide_terminal_search_get_revealer ()

## Properties

VteRegex * | regex | Read
gboolean | wrap-around | Read

## Signals

void | search | Run Last

## Types and Values

#define | IDE_TYPE_TERMINAL_SEARCH
| IdeTerminalSearch

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── IdeTerminalSearch

## Implemented Interfaces

IdeTerminalSearch implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### ide_terminal_search_get_regex ()

    VteRegex *
    ide_terminal_search_get_regex (IdeTerminalSearch *self);

#### Parameters

self | a IdeTerminalSearch |

#### Returns

a VteRegex or `NULL`.

[transfer none][nullable]

Since: 3.32

### ide_terminal_search_get_wrap_around ()

    gboolean
    ide_terminal_search_get_wrap_around (IdeTerminalSearch *self);

#### Parameters

self | a IdeTerminalSearch |

Since: 3.32

### ide_terminal_search_set_terminal ()

    void
    ide_terminal_search_set_terminal (IdeTerminalSearch *self,
                                      VteTerminal *terminal);

#### Parameters

self | a IdeTerminalSearch |

Since: 3.32

### ide_terminal_search_get_revealer ()

    GtkRevealer *
    ide_terminal_search_get_revealer (IdeTerminalSearch *self);

Gets the revealer widget used for the terminal search.

#### Parameters

self | a IdeTerminalSearch |

#### Returns

a GtkRevealer.

[transfer none]

Since: 3.32

## Types and Values

### IDE_TYPE_TERMINAL_SEARCH

    #define IDE_TYPE_TERMINAL_SEARCH (ide_terminal_search_get_type())

### IdeTerminalSearch

    typedef struct _IdeTerminalSearch IdeTerminalSearch;

## Property Details

### The `“regex”` property

      “regex”                    VteRegex *

Owner: IdeTerminalSearch

Flags: Read

### The `“wrap-around”` property

      “wrap-around”              gboolean

Owner: IdeTerminalSearch

Flags: Read

Default value: FALSE

## Signal Details

### The `“search”` signal

    void
    user_function (IdeTerminalSearch *ideterminalsearch,
                   gboolean           arg1,
                   gpointer           user_data)

Flags: Run Last